QUOTA(1)

NAME
quota - display disk usage and limits

SYNOPSIS
quota [-ghlu] [-f path] [-v | -q | -r]
quota [-hlu] [-f path] [-v | -q | -r] user ...
quota -g [-hl] [-f path] [-v | -q | -r] group ...

DESCRIPTION
The quota utility displays users' disk usage and limits. By default only the user quotas are printed. Disk block usage and limits are shown in 1024-byte blocks.

The following options are available:

-f path
    Only display quota information for the file system that contains the specified path. This can be any file within a mounted file system.

-g  Print group quotas for the group of which the user is a member.

-h  "Human-readable" output. Use unit suffixes: Byte, Kilobyte, Megabyte, Gigabyte, Terabyte and Petabyte.

-l  Do not report quotas on NFS file systems.

-q  Print a more terse message, containing only information on file systems where usage is over quota. The -q flag takes precedence over the -v flag.

-r  Display the raw quota information as it appears in the quota structure. Non-zero time values will also be displayed in ctime(3) format. This option implies -v and will override the -q flag.

-u  Print the user quotas. This is the default unless -g is specified.

-v  Display quotas on file systems where no storage is allocated.

Specifying both -g and -u displays both the user quotas and the group quotas (for the user).

Only the super-user may use the -u flag and the optional user argument to view the limits of other users. Non-super-users can use the -g flag and optional group argument to view only the limits of groups of which they are members.

The quota utility tries to report the quotas of all mounted file systems. If the file system is mounted via NFS, it will attempt to contact the rpc.rquotad(8) daemon on the NFS server. For UFS file systems, quotas must be turned on in /etc/fstab. If quota exits with a non-zero status, one or more file systems are over quota or the path specified with the -f option does not exist.

If the -l flag is specified, quota will not check NFS file systems.

FILES
quota.user
    located at the file system root with user quotas
quota.group
    located at the file system root with group quotas
/etc/fstab
    to find file system names and locations

SEE ALSO
quotactl(2), ctime(3), fstab(5), edquota(8), quotacheck(8), quotaon(8), repquota(8), rpc.rquotad(8)

HISTORY
The quota command appeared in 4.2BSD.